"""Fix user_options table name

Revision ID: 2d32be2e8fe1
Revises: b9232a80a97b
Create Date: 2020-04-06 11:21:09.496134

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '2d32be2e8fe1'
down_revision = 'b9232a80a97b'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('user_options',
    sa.Column('user_id', sa.Integer(), nullable=False),
    sa.Column('cookie_policy', sa.Boolean(), nullable=True),
    sa.Column('tos', sa.Boolean(), nullable=True),
    sa.ForeignKeyConstraint(['user_id'], ['users.id'], name='fk_user_id'),
    sa.PrimaryKeyConstraint('user_id')
    )
    op.drop_table('user_option')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('user_option',
    sa.Column('user_id', sa.INTEGER(), autoincrement=False, nullable=False),
    sa.Column('cookie_policy', sa.BOOLEAN(), autoincrement=False, nullable=True),
    sa.Column('tos', sa.BOOLEAN(), autoincrement=False, nullable=True),
    sa.ForeignKeyConstraint(['user_id'], ['users.id'], name='fk_user_id'),
    sa.PrimaryKeyConstraint('user_id', name='user_option_pkey')
    )
    op.drop_table('user_options')
    # ### end Alembic commands ###
